<div class="o-history-overview">
  <nav>
    <div class="o-history-overview__range">
      <div class="a-button-group">
        <button
          class="a-button"
          [class.-white]="filterType !== 'ALWAYS'"
          (click)="onSetFilter('ALWAYS')"
        >
          altijd
        </button>
        <button
          class="a-button"
          [class.-white]="filterType !== 'YEAR'"
          (click)="onSetFilter('YEAR')"
        >
          jaar
        </button>
        <button
          class="a-button"
          [class.-white]="filterType !== 'MONTH'"
          (click)="onSetFilter('MONTH')"
        >
          maand
        </button>
        <button
          class="a-button"
          [class.-white]="filterType !== 'WEEK'"
          (click)="onSetFilter('WEEK')"
        >
          week
        </button>
      </div>
    </div>
    <div class="o-history-overview__period-container">
      <div #periodBar class="o-history-overview__period-placeholder"></div>
      <div
        [class.-sticky]="periodBarIsSticky$ | async"
        class="o-history-overview__period"
      >
        <div class="a-button-group">
          <button
            class="o-history-overview__period__button a-button -white"
            [disabled]="filterType === 'ALWAYS'"
            (click)="onPreviousPeriod()"
          >
            <mat-icon>chevron_left</mat-icon>
          </button>
          <span class="o-history-overview__period__title">{{
            periodText
          }}</span>
          <button
            class="o-history-overview__period__button a-button -white"
            [disabled]="filterType === 'ALWAYS'"
            (click)="onNextPeriod()"
          >
            <mat-icon>chevron_right</mat-icon>
          </button>
        </div>
      </div>
    </div>
  </nav>
  <section
    class="o-history-overview__container"
    *ngIf="workOverview$ | async as workSummaries"
  >
    <ol
      class="o-history-overview__podium"
      *ngIf="workSummaries[0] && workSummaries[0].totalMinutes > 0"
    >
      <li class="o-history-overview__podium__place">
        <div class="o-history-overview__podium__place__crown">
          <mat-icon svgIcon="crown"></mat-icon>
          <span> {{ workSummaries[0].totalMinutes }} </span>
        </div>
        <h1 class="o-history-overview__podium__place__name">
          {{ workSummaries[0].user }}
        </h1>
      </li>
      <li
        class="o-history-overview__podium__place -small"
        *ngIf="workSummaries[1] && workSummaries[1].totalMinutes > 0"
      >
        <div class="o-history-overview__podium__place__crown -small">
          <mat-icon svgIcon="crown"></mat-icon>
          <span> {{ workSummaries[1].totalMinutes }} </span>
        </div>
        <h1 class="o-history-overview__podium__place__name -small">
          {{ workSummaries[1].user }}
        </h1>
      </li>
    </ol>
    <ol class="m-data-list">
      <li
        class="m-data-list__item"
        *ngFor="let work of workSummaries; let first = first"
        [class.-bold]="first && work.totalMinutes > 0"
      >
        <span class="m-data-list__item__title">
          <span class="m-data-list__item__title__text">{{ work.user }}</span>
          <span
            *ngIf="first && work.totalMinutes > 0"
            class="m-data-list__item__title__extra -gold -icon a-tooltip"
          >
            <mat-icon svgIcon="crown"></mat-icon>
            <span class="a-tooltip__text">Werker van de week</span>
          </span>
        </span>
        <span class="m-data-list__item__guide"></span>
        <span>{{ work.totalMinutes }}</span>
      </li>
    </ol>
  </section>
</div>
